<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../new_and_noteworthy.xsl"?>
<release
	name="2.0 M6"
	root="../../.."
>
	<component name="Web Services Explorer">
		<item title="SOAP Header support">
			<description>
				The Web Services Explorer provides form and source views for working with Web 
				service SOAP requests and responses.  It used to only provides the means for 
				working with the contents of the SOAP body.  
				Now, the Web Services Explorer can work with the SOAP header as well.
				<br />
				<br />
				<img
					src="webservices/header.png"
					alt="SOAP Header support in Web Services Explorer"
				/>
			</description>
		</item>
		
	</component>

	<component name="Web Services">
		<item title="Web services pop-ups now takes custom types">
			<description>
				Adopters of the Web services creation framework can now 
				use the same Web services pop-ups provided by the framework
				to process their custom types.  They just need to provide an IAdapterFactory
				that adapts that custom type to IFile or String and register the factory 
				with the Platform's AdapterManager (or extends the 
				<b>org.eclipse.core.runtime.adapters</b>
				extension).  The Web services pop-ups that currently take advantage of this 
				look up mechanism are: 
				<ul>  
				<b>
				<li>Web service wizard,</li>
				<li>Web service client wizard, and</li>
				<li>Test with Web Services Explorer</li>
				</b>. 
				</ul> 
				Please note that there might be sematic changes
				post WTP 2.0 to change the type of object the custom type should be adapted to.
				<br />
				<br />
				
			</description>
		</item>
	</component>
	
	<component name="General">
		<item title="New Internet preferences">
			<description>
				The Internet preference page that used to be under
				<b>Internet->Proxy Settings</b> is now under 
				<b>General->Network Connections</b>.
				<br />
				<br />
				<img
					src="webservices/internetpref.png"
					alt="Internet preference"
				/>
			</description>
		</item>
	</component>
	

	<!--
		<component name="component name, such as XML, XSD, or DTD Tools">
		<item title="item title can go here">
		<title>item title can also go here</title>
		<description>description of this new feature, preferrably with cropped .pngs of the UI</description>
		</item>
		</component>
	-->
</release>
